Package org.bukkit.entity

# Enum Class Villager.Profession

java.lang.Object
java.lang.Enum<Villager.Profession>
org.bukkit.entity.Villager.Profession

All Implemented Interfaces:
  `Serializable`, `Comparable<Villager.Profession>`, `Constable`, `net.kyori.adventure.key.Keyed`, `Translatable`, `Keyed`

Enclosing interface:
  Villager

public static enum Villager.Profession extends Enum<Villager.Profession> implements Keyed, Translatable
Represents the various different Villager professions there may be. Villagers have different trading options depending on their profession,

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARMORER`
Armorer profession.
`BUTCHER`
Butcher profession.
`CARTOGRAPHER`
Cartographer profession.
`CLERIC`
Cleric profession.
`FARMER`
Farmer profession.
`FISHERMAN`
Fisherman profession.
`FLETCHER`
Fletcher profession.
`LEATHERWORKER`
Leatherworker profession.
`LIBRARIAN`
Librarian profession.
`MASON`
Mason profession.
`NITWIT`
Nitwit profession.
`NONE`
`SHEPHERD`
Sheperd profession.
`TOOLSMITH`
Toolsmith profession.
`WEAPONSMITH`
Weaponsmith profession.

## Method Summary

Modifier and Type
Method
Description
`@NotNull NamespacedKey`
`getKey()`
Return the namespaced identifier for this object.
`@NotNull String`
`translationKey()`
Gets the translation key.
`static Villager.Profession`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Villager.Profession[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.Keyed

`key`

## Enum Constant Details

### NONE

public static final Villager.Profession NONE

### ARMORER

public static final Villager.Profession ARMORER
Armorer profession. Wears a black apron. Armorers primarily trade for iron armor, chainmail armor, and sometimes diamond armor.

### BUTCHER

public static final Villager.Profession BUTCHER
Butcher profession. Wears a white apron. Butchers primarily trade for raw and cooked food.

### CARTOGRAPHER

public static final Villager.Profession CARTOGRAPHER
Cartographer profession. Wears a white robe. Cartographers primarily trade for explorer maps and some paper.

### CLERIC

public static final Villager.Profession CLERIC
Cleric profession. Wears a purple robe. Clerics primarily trade for rotten flesh, gold ingot, redstone, lapis, ender pearl, glowstone, and bottle o' enchanting.

### FARMER

public static final Villager.Profession FARMER
Farmer profession. Wears a brown robe. Farmers primarily trade for food-related items.

### FISHERMAN

public static final Villager.Profession FISHERMAN
Fisherman profession. Wears a brown robe. Fisherman primarily trade for fish, as well as possibly selling string and/or coal.

### FLETCHER

public static final Villager.Profession FLETCHER
Fletcher profession. Wears a brown robe. Fletchers primarily trade for string, bows, and arrows.

### LEATHERWORKER

public static final Villager.Profession LEATHERWORKER
Leatherworker profession. Wears a white apron. Leatherworkers primarily trade for leather, and leather armor, as well as saddles.

### LIBRARIAN

public static final Villager.Profession LIBRARIAN
Librarian profession. Wears a white robe. Librarians primarily trade for paper, books, and enchanted books.

### MASON

public static final Villager.Profession MASON
Mason profession.

### NITWIT

public static final Villager.Profession NITWIT
Nitwit profession. Wears a green apron, cannot trade. Nitwit villagers do not do anything. They do not have any trades by default.

### SHEPHERD

public static final Villager.Profession SHEPHERD
Sheperd profession. Wears a brown robe. Shepherds primarily trade for wool items, and shears.

### TOOLSMITH

public static final Villager.Profession TOOLSMITH
Toolsmith profession. Wears a black apron. Tool smiths primarily trade for iron and diamond tools.

### WEAPONSMITH

public static final Villager.Profession WEAPONSMITH
Weaponsmith profession. Wears a black apron. Weapon smiths primarily trade for iron and diamond weapons, sometimes enchanted.

## Method Details

### values

public static Villager.Profession[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Villager.Profession valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getKey

@NotNull public @NotNull NamespacedKey getKey()
Description copied from interface: `Keyed`
Return the namespaced identifier for this object.

Specified by:
  `getKey` in interface `Keyed`
Returns:
  this object's key

### translationKey

@NotNull public @NotNull String translationKey()
Description copied from interface: `net.kyori.adventure.translation.Translatable`
Gets the translation key.

Specified by:
  `translationKey` in interface `Translatable`
Returns:
  the translation key